summaryrefslogtreecommitdiffstats
path: root/test/test-functions
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-08 18:51:17 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-08 18:51:17 +0000
commitf8bdff40eb3060586a7a385e7879f519b9af7d51 (patch)
tree0581c838f37fefddfd6d880aea14159dd9479e93 /test/test-functions
parentReleasing progress-linux version 252.22-1~deb12u1progress7u1. (diff)
downloadsystemd-f8bdff40eb3060586a7a385e7879f519b9af7d51.tar.xz
systemd-f8bdff40eb3060586a7a385e7879f519b9af7d51.zip
Merging upstream version 252.23.
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'test/test-functions')
-rw-r--r--test/test-functions12
1 files changed, 9 insertions, 3 deletions
diff --git a/test/test-functions b/test/test-functions
index 73fbef8..da17bff 100644
--- a/test/test-functions
+++ b/test/test-functions
@@ -223,6 +223,7 @@ BASICTOOLS=(
useradd
userdel
wc
+ whoami
xargs
xzcat
)
@@ -1257,10 +1258,14 @@ install_suse_systemd() {
local testsdir=/usr/lib/systemd/tests
local pkgs
+ dinfo "Install basic filesystem structure"
+ install_rpm filesystem
+
dinfo "Install SUSE systemd"
pkgs=(
systemd
+ systemd-boot
systemd-container
systemd-coredump
systemd-experimental
@@ -3151,9 +3156,10 @@ test_create_image() {
}
test_setup() {
- if get_bool "${TEST_REQUIRE_INSTALL_TESTS:?}" && \
- command -v meson >/dev/null && \
- [[ "$(meson configure "${BUILD_DIR:?}" | grep install-tests | awk '{ print $2 }')" != "true" ]]; then
+ if ! get_bool "$NO_BUILD" && \
+ get_bool "${TEST_REQUIRE_INSTALL_TESTS:?}" && \
+ command -v meson >/dev/null && \
+ [[ "$(meson configure "${BUILD_DIR:?}" | grep install-tests | awk '{ print $2 }')" != "true" ]]; then
dfatal "$BUILD_DIR needs to be built with -Dinstall-tests=true"
exit 1
fi